import javax.swing.*;
import java.awt.*;

public class ParticipantsArea extends JPanel {
    private final int ROW = 20, COLUMN = 1;
    DefaultListModel<String> model;
    JList<String> list;

    public ParticipantsArea() throws HeadlessException {
        super();
        GridLayout g = new GridLayout(20, 1);
        this.setLayout(g);
        JLabel label = new JLabel("Online Users");
        this.add(label);
        this.model= new DefaultListModel();
        this.list = new JList(model);
        this.add(list);
        this.setVisible(true);
    }

    public void addNewParticipant(String name)
    {
        if (!this.model.contains(name)) {
            this.model.addElement(name);
        }
    }

    public void removeParticipant(String name)
    {
        if (this.model.contains(name)) {
            this.model.removeElement(name);
        }
    }
}
